Update outdated

Asked by Luis M.Jacinto on 2015-03-26

Ubuntu 12.04 precise.

Having updates every day and I update again this morning.
Found a caution sign in red on the top of menu bar.
It said “The update information is outdated”. And to check foe updates.
Click on updates the information underneath come up.

W:Failed to fetch http://ppa.launchpad.net/aegirxx-googlemail/dftd-latest/ubuntu/dists/precise/main/source/Sources 404 Not Found
, W:Failed to fetch http://ppa.launchpad.net/aegirxx-googlemail/dftd-latest/ubuntu/dists/precise/main/binary-i386/Packages 404 Not Found
, W:Failed to fetch http://ppa.launchpad.net/hydr0g3n/qbittorrent-stable/ubuntu/dists/precise/main/source/Sources 404 Not Found
, W:Failed to fetch http://ppa.launchpad.net/hydr0g3n/qbittorrent-stable/ubuntu/dists/precise/main/binary-i386/Packages 404 Not Found
, E:Some index files failed to download. They have been ignored, or old ones used instead.

How to fix this .

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
2015-04-06
Last query:
2015-04-06
Last reply:
2015-03-27

This doesn't support Precise and should be removed:
http://ppa.launchpad.net/aegirxx-googlemail/dftd-latest/ubuntu/dists/

If you remove the qbittorrent-stable PPA then run:

sudo add-apt-repository ppa:qbittorrent-team/qbittorrent-stable
sudo apt-get update

You will get the update there. The address you have doesn't exist.

Manfred Hampl (m-hampl) said : #2

The problem is caused by your configuration settings for repositories.
the PPA aegirxx-googlemail/dftd-latest does not contain software for precise, and
a PPA hydr0g3n/qbittorrent-stable does not exist at all.

What is the output of the terminal commands

uname -a
lsb_release -crid
grep aegirxx-googlemail/dftd-latest /etc/apt/sources.list /etc/apt/sources.list.d/*.list
grep hydr0g3n/qbittorrent-stable /etc/apt/sources.list /etc/apt/sources.list.d/*.list

Luis M.Jacinto (ljacinto) said : #3

luis@luis-G41M-Combo:~$ uname -a
Linux luis-G41M-Combo 3.2.0-79-generic-pae #115-Ubuntu SMP Thu Mar 12 14:33:25 UTC 2015 i686 i686 i386 GNU/Linux
luis@luis-G41M-Combo:~$ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 12.04.5 LTS
Release: 12.04
Codename: precise
luis@luis-G41M-Combo:~$ grep aegirxx-googlemail/dftd-latest /etc/apt/sources.list /etc/apt/sources.list.d/*.list
/etc/apt/sources.list.d/aegirxx-googlemail-dftd-latest-precise.list:deb http://ppa.launchpad.net/aegirxx-googlemail/dftd-latest/ubuntu precise main
/etc/apt/sources.list.d/aegirxx-googlemail-dftd-latest-precise.list:deb-src http://ppa.launchpad.net/aegirxx-googlemail/dftd-latest/ubuntu precise main
luis@luis-G41M-Combo:~$ grep hydr0g3n/qbittorrent-stable /etc/apt/sources.list /etc/apt/sources.list.d/*.list
/etc/apt/sources.list.d/hydr0g3n-qbittorrent-stable-precise.list:deb http://ppa.launchpad.net/hydr0g3n/qbittorrent-stable/ubuntu precise main
/etc/apt/sources.list.d/hydr0g3n-qbittorrent-stable-precise.list:deb-src http://ppa.launchpad.net/hydr0g3n/qbittorrent-stable/ubuntu precise main
luis@luis-G41M-Combo:~$

Manfred Hampl (m-hampl) said : #4

Issue the commands

sudo rm /etc/apt/sources.list.d/aegirxx-googlemail-dftd-latest-precise.list
sudo rm etc/apt/sources.list.d/hydr0g3n-qbittorrent-stable-precise.list

and then re-try updating.
Please report the result including the full text of error messages (if any).

Luis M.Jacinto (ljacinto) said : #5

luis@luis-G41M-Combo:~$ sudo rm /etc/apt/sources.list.d/aegirxx-googlemail-dftd-latest-precise.list
[sudo] password for luis:
luis@luis-G41M-Combo:~$ sudo rm etc/apt/sources.list.d/hydr0g3n-qbittorrent-stable-precise.list
rm: cannot remove `etc/apt/sources.list.d/hydr0g3n-qbittorrent-stable-precise.list': No such file or directory
luis@luis-G41M-Combo:~$

Only two updates one for Freecad and one for qbittorrent.

Manfred Hampl (m-hampl) said : #6

Sorry for a typo error in one of my commands, the second one should have been

sudo rm /etc/apt/sources.list.d/hydr0g3n-qbittorrent-stable-precise.list

Please issue that command and then re-try updating.

You should no more get the "The update information is outdated" warning, or do you still get warnings or error messages?

Remark: That warning has not prevented your system from getting all available updates. It was just telling that it does not receive information about updates for those two PPAs, which do not have any software and consequently do not have any updates for your system anyhow.

Luis M.Jacinto (ljacinto) said : #7

uis@luis-G41M-Combo:~$ sudo rm /etc/apt/sources.list.d/hydr0g3n-qbittorrent-stable-precise.list
[sudo] password for luis:
luis@luis-G41M-Combo:~$

I did update an Check for updates it says “There are no updates available to install”
On the Update Manager it says “The package information was last updated 119 days ago”

Best Manfred Hampl (m-hampl) said : #8

Open update manager and press the button to reload the package information.

Then it will - hopefully - show that it was updated a few minutes ago.

Luis M.Jacinto (ljacinto) said : #9

Thanks Manfred Hampl, that solved my question.